> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get a deal

GET https://api.brevo.com/v3/crm/deals/{id}

Retrieve the full details of a single deal by its identifier, including its attributes, pipeline stage, linked contacts, and linked companies. Returns a 404 error if the deal does not exist.

Reference: https://developers.brevo.com/reference/get-a-deal

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Returns the deal by id

- `id` (string, optional) — Unique deal id
- `attributes` (object, optional) — Deal attributes with values
- `linkedContactsIds` (list of integer, optional) — Contact ids for contacts linked to this deal
- `linkedCompaniesIds` (list of string, optional) — Companies ids for companies linked to this deal

## Errors

### 400 Bad Request Error

Returned when deal id is invalid

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Returned when item not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "id": "629475917295261d9b1f4403",
  "attributes": {
    "amount": 12,
    "created_at": "2022-05-30T07:42:05.671Z",
    "deal_name": "testname",
    "deal_owner": "6093d2425a9b436e9519d034",
    "deal_stage": "9e577ff7-8e42-4ab3-be26-2b5e01b42518",
    "last_activity_date": "2022-06-06T08:38:36.000Z",
    "last_updated_date": "2022-06-06T08:38:36.761Z",
    "number_of_activities": 0,
    "number_of_contacts": 1,
    "pipeline": "6093d296ad1e9c5cf2140a58",
    "stage_updated_at": "2022-05-30T07:42:05.671Z"
  },
  "linkedContactsIds": [
    1,
    2,
    3
  ],
  "linkedCompaniesIds": [
    "61a5ce58c5d4795761045990",
    "61a5ce58c5d4795761045991",
    "61a5ce58c5d4795761045992"
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.deals.getADeal({
        id: "id",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.deals.get_a_deal(
    id="id",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->deals->getADeal(
    'id',
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/crm/deals/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/crm/deals/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/crm/deals/id")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/crm/deals/id");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/crm/deals/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```